package it.integry.integrywmsnative.core.exception;

import it.integry.integrywmsnative.R;
import it.integry.integrywmsnative.core.utility.UtilityResources;

public class InvalidLineaProdBarcodeException extends Exception {

    public InvalidLineaProdBarcodeException() {
        super(UtilityResources.getString(R.string.no_result_from_linea_prod_barcode));
    }

    public InvalidLineaProdBarcodeException(String barcode) {
        super(UtilityResources.getString(R.string.no_result_from_linea_prod_barcode) + " (" + barcode + ")");
    }
}
